Bug 60298 - mozilla editing key bindings really rot
mozilla editing key bindings really rot
Product: Red Hat Raw Hide
Classification: Retired
Component: mozilla (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Blizzard
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2002-02-24 18:36 EST by Jonathan Kamens
Modified: 2007-04-18 12:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-02-24 18:36:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jonathan Kamens 2002-02-24 18:36:31 EST
When editing text in Netscape 4.79, a huge percentage of the standard Emacs
text-editing bindings are available.  Alas, most of these bindings are missing
completely or do the wrong thing in Mozilla.  This is simply a terrible change
in UI.

I should be able to hit Meta-Backspace to delete a word backward.  I should be
able to hit Meta-b to move backward.  I should be able to hit Meta-f to move
forward a word.  Etc.  If there was a binding for it in text-editing areas in
Netscape 4.79, there should be a binding for it in Mozilla.  I consider this a
*serious* regression in functionality, one that's threatening to force me back
to Netscape 4.79 even though there are numerous Web sites which Netscape 4.79
can't view properly.
Comment 1 Christopher Blizzard 2002-08-29 17:32:58 EDT
If this gets fixed upstream I'll take the fixes, but I'm probably not going to
take the time to fix them here. (you can use ctrl-right arrow and ctrl-left
arrow to move forward and backwards a word at a time.)

Note You need to log in before you can comment on or make changes to this bug.